Main Page Modules Class Hierarchy Data Structures File List Data Fields Globals Related Pages

# OSCL_wFastString Class Reference
[OSCL Util]

`#include <oscl_string_containers.h>`

Inheritance diagram for OSCL_wFastString:

## Public Types
typedef OSCL_wString::chartype | chartype
typedef TOSCL_wStringOp | optype
typedef OSCL_String::chartype | other_chartype
## Public Methods
OSCL_IMPORT_REF | OSCL_wFastString ()
OSCL_IMPORT_REF | OSCL_wFastString (const OSCL_wFastString &src)
OSCL_IMPORT_REF | OSCL_wFastString (const chartype *cstr)
OSCL_IMPORT_REF | OSCL_wFastString (chartype *buf, uint32 maxlen)
OSCL_IMPORT_REF | ~OSCL_wFastString ()
OSCL_IMPORT_REF uint32 | get_size () const
OSCL_IMPORT_REF uint32 | get_maxsize () const
OSCL_IMPORT_REF const chartype * | get_cstr () const
OSCL_IMPORT_REF chartype * | get_str () const
OSCL_IMPORT_REF OSCL_wFastString & | operator= (const OSCL_wFastString &src)
OSCL_IMPORT_REF OSCL_wFastString & | operator= (const chartype *cstr)
OSCL_IMPORT_REF void | set (chartype *cstr, uint32 maxlen)
OSCL_IMPORT_REF void | set (const other_chartype *buf, uint32 numofbyte, optype op)
OSCL_IMPORT_REF void | set_length ()
## Friends
class | OSCL_wString

## Detailed Description

OSCL_wFastString is identical to OSCL_FastString except that it uses wide-character format. For descriptions, see OSCL_FastString.

## Member Typedef Documentation

typedef OSCL_wString::chartype OSCL_wFastString::chartype

| Reimplemented from OSCL_wString.

typedef TOSCL_wStringOp OSCL_wFastString::optype

typedef OSCL_String::chartype OSCL_wFastString::other_chartype

## Constructor & Destructor Documentation

OSCL_IMPORT_REF OSCL_wFastString::OSCL_wFastString | ( |  | ) |

OSCL_IMPORT_REF OSCL_wFastString::OSCL_wFastString | ( | const OSCL_wFastString & | src | ) |

OSCL_IMPORT_REF OSCL_wFastString::OSCL_wFastString | ( | const chartype * | cstr | ) |

OSCL_IMPORT_REF OSCL_wFastString::OSCL_wFastString | ( | chartype * | buf,
|  | uint32 | maxlen
| ) |

OSCL_IMPORT_REF OSCL_wFastString::~OSCL_wFastString | ( |  | ) |

## Member Function Documentation

OSCL_IMPORT_REF const chartype* OSCL_wFastString::get_cstr | ( |  | ) | `[virtual]`

| Implements OSCL_wString.

OSCL_IMPORT_REF uint32 OSCL_wFastString::get_maxsize | ( |  | ) | `[virtual]`

| Implements OSCL_wString.

OSCL_IMPORT_REF uint32 OSCL_wFastString::get_size | ( |  | ) | `[virtual]`

| Implements OSCL_wString.

OSCL_IMPORT_REF chartype* OSCL_wFastString::get_str | ( |  | ) | `[virtual]`

| Implements OSCL_wString.

OSCL_IMPORT_REF OSCL_wFastString& OSCL_wFastString::operator= | ( | const chartype * | cstr | ) |

| Reimplemented from OSCL_wString.

OSCL_IMPORT_REF OSCL_wFastString& OSCL_wFastString::operator= | ( | const OSCL_wFastString & | src | ) |

OSCL_IMPORT_REF void OSCL_wFastString::set | ( | const other_chartype * | buf,
|  | uint32 | numofbyte,
|  | optype | op
| ) |

OSCL_IMPORT_REF void OSCL_wFastString::set | ( | chartype * | cstr,
|  | uint32 | maxlen
| ) |

OSCL_IMPORT_REF void OSCL_wFastString::set_length | ( |  | ) |

## Friends And Related Function Documentation

friend class OSCL_wString`[friend]`

The documentation for this class was generated from the following file:

- oscl_string_containers.h